Skip to main content
`Ctrl`+`K`

# graphviz_layout

graphviz_layout(G, prog='neato', root=None, args='')

  Create node positions for G using Graphviz.

  Parameters:
    G NetworkX graph

      A graph created with NetworkX

    prog string

      Name of Graphviz layout program

    root string, optional

      Root node for twopi layout

    args string, optional

      Extra arguments to Graphviz layout program

  Returns:
    Dictionary of x, y, positions keyed by node.

  Notes

  This is a wrapper for pygraphviz_layout.

  Note that some graphviz layouts are not guaranteed to be deterministic, see graphviz/graphviz#1767 for more info.

  Examples

      >>> G = nx.petersen_graph()
      >>> pos = nx.nx_agraph.graphviz_layout(G)
      >>> pos = nx.nx_agraph.graphviz_layout(G, prog="dot")